Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.label.model
Interface VLabelPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VLabelPackageImpl

    public interface VLabelPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `VLabelFactory`

Nested Class Summary
`static interface` | `VLabelPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static VLabelPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `LABEL` The meta object id for the '`Label`' class.
`static int` | `LABEL__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `LABEL__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `LABEL__DOMAIN_MODEL_REFERENCE` The feature id for the 'Domain Model Reference' containment reference.
`static int` | `LABEL__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `LABEL__NAME` The feature id for the 'Name' attribute.
`static int` | `LABEL__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `LABEL__STYLE` The feature id for the 'Style' attribute.
`static int` | `LABEL__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `LABEL_FEATURE_COUNT` The number of structural features of the 'Label' class.
`static int` | `VLABEL_STYLE` The meta object id for the '`VLabel Style`' enum.

Method Summary
`org.eclipse.emf.ecore.EReference` | `getLabel_DomainModelReference()` Returns the meta object for the containment reference ' `Domain Model Reference`'.
`org.eclipse.emf.ecore.EAttribute` | `getLabel_Style()` Returns the meta object for the attribute '`Style`'.
`org.eclipse.emf.ecore.EClass` | `getLabel()` Returns the meta object for class '`Label`'.
`VLabelFactory` | `getLabelFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EEnum` | `getVLabelStyle()` Returns the meta object for enum '`VLabel Style`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VLabelPackage eINSTANCE

  The singleton instance of the package.

### LABEL

    static final int LABEL

  The meta object id for the '`Label`' class.

  See Also:
    `VLabelImpl`, `VLabelPackageImpl.getLabel()`, Constant Field Values

### LABEL__NAME

    static final int LABEL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### LABEL__VISIBLE

    static final int LABEL__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### LABEL__ENABLED

    static final int LABEL__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### LABEL__READONLY

    static final int LABEL__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### LABEL__DIAGNOSTIC

    static final int LABEL__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### LABEL__ATTACHMENTS

    static final int LABEL__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### LABEL__STYLE

    static final int LABEL__STYLE

  The feature id for the 'Style' attribute.

  See Also:
    Constant Field Values

### LABEL__DOMAIN_MODEL_REFERENCE

    static final int LABEL__DOMAIN_MODEL_REFERENCE

  The feature id for the 'Domain Model Reference' containment reference.

  Since:
    1.4
  See Also:
    Constant Field Values

### LABEL_FEATURE_COUNT

    static final int LABEL_FEATURE_COUNT

  The number of structural features of the 'Label' class.

  Since:
    1.4
  See Also:
    Constant Field Values

### VLABEL_STYLE

    static final int VLABEL_STYLE

  The meta object id for the '`VLabel Style`' enum.

  See Also:
    `VLabelStyle`, `VLabelPackageImpl.getVLabelStyle()`, Constant Field Values

Method Detail

### getLabel

    org.eclipse.emf.ecore.EClass getLabel()

  Returns the meta object for class '`Label`'.

  Returns:
    the meta object for class 'Label'.
  See Also:
    `VLabel`

### getLabel_Style

    org.eclipse.emf.ecore.EAttribute getLabel_Style()

  Returns the meta object for the attribute '`Style`'.

  Returns:
    the meta object for the attribute 'Style'.
  See Also:
    `VLabel.getStyle()`, `getLabel()`

### getLabel_DomainModelReference

    org.eclipse.emf.ecore.EReference getLabel_DomainModelReference()

  Returns the meta object for the containment reference ' `Domain Model Reference`'.

  Returns:
    the meta object for the containment reference 'Domain Model Reference'.
  Since:
    1.4
  See Also:
    `VLabel.getDomainModelReference()`, `getLabel()`

### getVLabelStyle

    org.eclipse.emf.ecore.EEnum getVLabelStyle()

  Returns the meta object for enum '`VLabel Style`'.

  Returns:
    the meta object for enum 'VLabel Style'.
  See Also:
    `VLabelStyle`

### getLabelFactory

    VLabelFactory getLabelFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.